# Intellizence Company News Signals API

> **Ready to get started?** [**Request your API key**](https://intellizence.com/api-trial/) and start building.&#x20;
>
> **Questions?** [**Schedule a call**](https://intellizence.com/schedule-a-demo/) or email us at <sales@intellizence.com>.

**Security Notice:** Please keep the API Key secure. Do not share your API key in publicly accessible areas such as GitHub, client-side code, and so forth.

## Search for news signals by Company Domain(s), Intellizence Trigger Code(s) & News Published Date range

> Returns curated news articles for the given company domain(s), trigger code(s), and published date range. A news record may include clustered or related articles under \`similarNews\`.\
> \
> Users can search data using the following parameters: \`companyDomains\`, \`triggerCodes\`, \`startDate\`, \`endDate\`, and \`limit\`\
> \
> Users can limit the number of records returned using the \`limit\` parameter. The default limit is \`100\`. All parameters are optional.\
> \
> The API key must be passed in the HTTP header as \`x-api-key\`.

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Company News Signals API","version":"1.0"},"servers":[{"url":"https://connect.intellizence.com","description":"Intellizence API"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"NewsSearchRequest":{"type":"object","properties":{"companyDomains":{"type":"array","description":"Website domain of the Companies for which news signal are required. Multiple domains can be passed as an array.","items":{"type":"string"}},"triggerCodes":{"type":"array","description":"Intellizence Trigger Codes used to filter relevant news signals. Multiple Trigger Code(s) can be passed as an array. For a categorized reference of all codes, [click here](https://docs.intellizence.com/company-news-signal-api/trigger-codes-reference)","items":{"type":"string","enum":["KW_518","KW_519","KW_520","KW_534","KW_535","KW_666","KW_502","KW_536","KW_591","KW_741","KW_514","KW_708","KW_516","KW_527","KW_529","KW_640","KW_713","KW_510","KW_583","KW_688","KW_521","KW_566","KW_642","KW_537","KW_801","KW_512","KW_513","KW_528","KW_687","KW_584","KW_586","KW_641","KW_532","KW_610","KW_143","KW_533","KW_709","KW_556","KW_571","KW_647","KW_14","KW_526","KW_711","KW_522","KW_523","KW_585","KW_613","KW_699","KW_589","KW_654","KW_665","KW_678","KW_530","KW_601","KW_677","KW_531","KW_616","KW_524","KW_673","KW_700","KW_737"]}},"startDate":{"type":"string","description":"News published start date. Enter the date in YYYY-MM-DD format.","format":"date"},"endDate":{"type":"string","description":"News published end date. Enter the date in YYYY-MM-DD format.","format":"date"},"limit":{"type":"integer","description":"Maximum number of records to return","default":100}}},"NewsSearchResponse":{"required":["code","count","news"],"type":"object","properties":{"code":{"type":"integer"},"count":{"type":"integer"},"news":{"type":"array","items":{"$ref":"#/components/schemas/NewsItem"}},"openingBalance":{"type":"integer","description":"Returned only for the 'Pay-Per-Use' billing type."},"closingBalance":{"type":"integer","description":"Returned only for the 'Pay-Per-Use' billing type."},"creditsConsumed":{"type":"integer","description":"Returned only for the 'Pay-Per-Use' billing type."}}},"NewsItem":{"type":"object","properties":{"publisher":{"type":"string"},"title":{"type":"string"},"url":{"type":"string","format":"uri"},"desc":{"type":"string"},"hash":{"type":"string"},"triggerNames":{"type":"array","items":{"type":"string"}},"companyNames":{"type":"array","items":{"type":"string"}},"triggerCodes":{"type":"array","items":{"type":"string"}},"companyDomains":{"type":"array","items":{"type":"string"}},"publishDate":{"type":"string","format":"date"},"similarNews":{"type":"array","items":{"$ref":"#/components/schemas/SimilarNewsItem"}}}},"SimilarNewsItem":{"type":"object","properties":{"hash":{"type":"string"},"title":{"type":"string"},"desc":{"type":"string"},"publisher":{"type":"string"},"url":{"type":"string","format":"uri"},"publishDate":{"type":"string","format":"date-time"}}}}},"paths":{"/api/news":{"post":{"summary":"Search for news signals by Company Domain(s), Intellizence Trigger Code(s) & News Published Date range","description":"Returns curated news articles for the given company domain(s), trigger code(s), and published date range. A news record may include clustered or related articles under `similarNews`.\n\nUsers can search data using the following parameters: `companyDomains`, `triggerCodes`, `startDate`, `endDate`, and `limit`\n\nUsers can limit the number of records returned using the `limit` parameter. The default limit is `100`. All parameters are optional.\n\nThe API key must be passed in the HTTP header as `x-api-key`.","operationId":"serachCompanyNewsSignals","parameters":[{"name":"x-api-key","in":"header","description":"Intellizence API key","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsSearchRequest"}}},"required":true},"responses":{"200":{"description":"Successful response.\n\nNote: Credit fields (openingBalance, closingBalance, creditsConsumed) are returned only for Pay-Per-Use billing.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsSearchResponse"}}}},"400":{"description":"400 - Bad Request\n\nBad request, possibly missing required parameters, invalid data, invalid or missing API key.\n\n- 701 - Invalid Start Date format (YYYY-MM-DD required)\n- 702 - Invalid End Date format (YYYY-MM-DD required)\n- 706 - Requested resource/data product is not included in the current subscription plan\n- 709 - No companies configured for this account\n- 710 - No triggers configured for this account"},"402":{"description":"402 - Payment Required\n- 704 - Payment is pending\n- 712 - Insufficient credits for this request"},"403":{"description":"403 - Forbidden\n- 703 - Plan or resource not subscribed\n- 707 - Subscription has expired\n- 708 - Start date is outside your subscription’s allowed date range"},"500":{"description":"500 - Internal Server Error\n- 715 - A technical error occurred\n- 799 - A technical error occurred"}}}}}}
```

## The NewsSearchRequest object

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Company News Signals API","version":"1.0"},"components":{"schemas":{"NewsSearchRequest":{"type":"object","properties":{"companyDomains":{"type":"array","description":"Website domain of the Companies for which news signal are required. Multiple domains can be passed as an array.","items":{"type":"string"}},"triggerCodes":{"type":"array","description":"Intellizence Trigger Codes used to filter relevant news signals. Multiple Trigger Code(s) can be passed as an array. For a categorized reference of all codes, [click here](https://docs.intellizence.com/company-news-signal-api/trigger-codes-reference)","items":{"type":"string","enum":["KW_518","KW_519","KW_520","KW_534","KW_535","KW_666","KW_502","KW_536","KW_591","KW_741","KW_514","KW_708","KW_516","KW_527","KW_529","KW_640","KW_713","KW_510","KW_583","KW_688","KW_521","KW_566","KW_642","KW_537","KW_801","KW_512","KW_513","KW_528","KW_687","KW_584","KW_586","KW_641","KW_532","KW_610","KW_143","KW_533","KW_709","KW_556","KW_571","KW_647","KW_14","KW_526","KW_711","KW_522","KW_523","KW_585","KW_613","KW_699","KW_589","KW_654","KW_665","KW_678","KW_530","KW_601","KW_677","KW_531","KW_616","KW_524","KW_673","KW_700","KW_737"]}},"startDate":{"type":"string","description":"News published start date. Enter the date in YYYY-MM-DD format.","format":"date"},"endDate":{"type":"string","description":"News published end date. Enter the date in YYYY-MM-DD format.","format":"date"},"limit":{"type":"integer","description":"Maximum number of records to return","default":100}}}}}}
```

## The NewsSearchResponse object

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Company News Signals API","version":"1.0"},"components":{"schemas":{"NewsSearchResponse":{"required":["code","count","news"],"type":"object","properties":{"code":{"type":"integer"},"count":{"type":"integer"},"news":{"type":"array","items":{"$ref":"#/components/schemas/NewsItem"}},"openingBalance":{"type":"integer","description":"Returned only for the 'Pay-Per-Use' billing type."},"closingBalance":{"type":"integer","description":"Returned only for the 'Pay-Per-Use' billing type."},"creditsConsumed":{"type":"integer","description":"Returned only for the 'Pay-Per-Use' billing type."}}},"NewsItem":{"type":"object","properties":{"publisher":{"type":"string"},"title":{"type":"string"},"url":{"type":"string","format":"uri"},"desc":{"type":"string"},"hash":{"type":"string"},"triggerNames":{"type":"array","items":{"type":"string"}},"companyNames":{"type":"array","items":{"type":"string"}},"triggerCodes":{"type":"array","items":{"type":"string"}},"companyDomains":{"type":"array","items":{"type":"string"}},"publishDate":{"type":"string","format":"date"},"similarNews":{"type":"array","items":{"$ref":"#/components/schemas/SimilarNewsItem"}}}},"SimilarNewsItem":{"type":"object","properties":{"hash":{"type":"string"},"title":{"type":"string"},"desc":{"type":"string"},"publisher":{"type":"string"},"url":{"type":"string","format":"uri"},"publishDate":{"type":"string","format":"date-time"}}}}}}
```

## The NewsItem object

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Company News Signals API","version":"1.0"},"components":{"schemas":{"NewsItem":{"type":"object","properties":{"publisher":{"type":"string"},"title":{"type":"string"},"url":{"type":"string","format":"uri"},"desc":{"type":"string"},"hash":{"type":"string"},"triggerNames":{"type":"array","items":{"type":"string"}},"companyNames":{"type":"array","items":{"type":"string"}},"triggerCodes":{"type":"array","items":{"type":"string"}},"companyDomains":{"type":"array","items":{"type":"string"}},"publishDate":{"type":"string","format":"date"},"similarNews":{"type":"array","items":{"$ref":"#/components/schemas/SimilarNewsItem"}}}},"SimilarNewsItem":{"type":"object","properties":{"hash":{"type":"string"},"title":{"type":"string"},"desc":{"type":"string"},"publisher":{"type":"string"},"url":{"type":"string","format":"uri"},"publishDate":{"type":"string","format":"date-time"}}}}}}
```

## The SimilarNewsItem object

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Company News Signals API","version":"1.0"},"components":{"schemas":{"SimilarNewsItem":{"type":"object","properties":{"hash":{"type":"string"},"title":{"type":"string"},"desc":{"type":"string"},"publisher":{"type":"string"},"url":{"type":"string","format":"uri"},"publishDate":{"type":"string","format":"date-time"}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Company News Signals API","version":"1.0"},"components":{"schemas":{"ErrorResponse":{"required":["code","message"],"type":"object","properties":{"code":{"type":"integer","description":"Business error code (701–799)."},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/company-news-signal-api/search-signals-by-company-domain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
